tm_wall:
  namespace: "Templates/Xamples"
  use: "@templates/demo-templates/tm-walls/tm-wall.twig"
  label: TM - Walls
  description: TM - Walls

  fields:
    cards:
      label: Cards
      description: Card patterns
      type: pattern
      multi_value_type: items

  settings:
    batch:
      type: textfield
      label: Cols


  variants:

    __default:
      label: Default
      settings:
        batch: 3
      fields:
        cards:
          - id: plain_card
          - id: plain_card
          - id: plain_card

    blog:
      label: Blog Wall
      settings:
        batch: 2
      fields:
        cards:
          - id: link_block
            variant: version_e
            fields:
              body: false
              title: Greater Anglia leads the way with project to design and install social distancing guidance at all stations
              subtitle: 01/06/2020
          - id: link_block
            variant: version_e
            fields:
              body: false
              title: Not as long a title as the other one
              subtitle: 01/06/2020
          - id: link_block
            variant: version_e
            fields:
              body: false
              title: Not as long a title as the other one - but maybe a little bigger
              subtitle: 01/06/2020

    event:
      label: Events Wall
      settings:
        batch: 3
      fields:
        cards:
          - id: event_card
          - id: event_card
          - id: event_card
          - id: event_card
          - id: event_card
          - id: event_card
          - id: event_card

    offer:
      label: Offers Wall
      settings:
        batch: 3
      fields:
        cards:
          - id: offer_card
          - id: offer_card
          - id: offer_card
          - id: offer_card
          - id: offer_card
          - id: offer_card
          - id: offer_card

    statement:
      label: Statements Wall
      settings:
        batch: 1
      fields:
        cards:
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e
          - id: link_block
            variant: version_e

    media_centre:
      label: Media Centre
      settings:
        batch: 3
      fields:
        cards:
          - id: media_item
          - id: media_item
          - id: media_item
          - id: media_item
          - id: media_item
          - id: media_item
          - id: media_item

    news_cards:
      label: News cards
      settings:
        batch: 2
      fields:
        cards:
          - id: news_card
          - id: news_card
          - id: news_card
          - id: news_card
          - id: news_card
          - id: news_card
          - id: news_card
